# -*-rpm-spec-*-
%define _date 20051215

Name: openiscsi
Version: 0.4.434.svn%{_date}
Release: alt1

Group: System/Kernel and hardware
Packager: Pavel Mironchik <tibor@altlinux.org>
URL: http://www.open-iscsi.org/
License: GPL
Summary: Open-iScsi initiator
Source: openiscsi-%{_date}.tar.bz2
Patch0: openiscsi-%{_date}-altbuild.patch

BuildRequires: service
# Automatically added by buildreq on Wed Dec 14 2005
BuildRequires: libdb4-devel


%description
iScsi initiator. 

%prep 
%setup -q -c
%patch0 -p1 

%build
make

%post
%post_service open-iscsi

%preun
%preun_service open-iscsi

%install
make DESTDIR=%buildroot  install 
%__mkdir_p %buildroot/%_man8dir
%__install  doc/*.8 %buildroot/%_man8dir/
%__mkdir_p %buildroot%_sysconfdir
%__install etc/iscsid.conf %buildroot%_sysconfdir/
cat <<EOF > %buildroot%_sysconfdir/initiatorname.iscsi
InitiatorName=iqn.AltLinux.Redmond.initiator1
EOF

%files
%doc README
/usr/sbin/*
%config(noreplace) %_sysconfdir/iscsid.conf
%config(noreplace) %_sysconfdir/initiatorname.iscsi
%_initdir/open-iscsi
%_man8dir/*


%changelog
* Mon Dec 19 2005 Pavel Mironchik <tibor@altlinux.ru> 0.4.434.svn20051215-alt1
- fixed requires to /etc/rc.d/init.d/function(daemon)

* Fri Dec 16 2005 Pavel Mironchik <tibor@altlinux.ru> 0.4.434.svn20051214-alt3
- service fixed

* Fri Dec 16 2005 Pavel Mironchik <tibor@altlinux.org> 0.4.434.svn20051214-alt2
- service fix

* Wed Dec 14 2005 Pavel S. Mironchik <tibor@altlinux.org> 0.4.434.svn20051214-alt1
- initial build

